OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
oms::ssd::ElementGeometry Class Reference

`#include <ElementGeometry.h>`

Inheritance diagram for oms::ssd::ElementGeometry:
[legend]
Collaboration diagram for oms::ssd::ElementGeometry:
[legend]

## Public Member Functions
| ElementGeometry ()
| ElementGeometry (const ElementGeometry &rhs)
| ~ElementGeometry ()
ElementGeometry & | operator= (ElementGeometry const &rhs)
void | setX1 (double x1)
void | setY1 (double y1)
void | setX2 (double x2)
void | setY2 (double y2)
void | setSizePosition (double x1, double y1, double x2, double y2)
void | setRotation (double rotation)
void | setIconSource (std::string iconSource)
void | setIconRotation (double iconRotation)
void | setIconFlip (bool iconFlip)
void | setIconFixedAspectRatio (bool iconFixedAspectRatio)
double | getX1 () const
double | getY1 () const
double | getX2 () const
double | getY2 () const
double | getRotation () const
std::string | getIconSource () const
bool | hasIconSource () const
double | getIconRotation () const
bool | getIconFlip () const
bool | getIconFixedAspectRatio () const
oms_status_enu_t | exportToSSD (pugi::xml_node &root) const
oms_status_enu_t | importFromSSD (const pugi::xml_node &node)

## Constructor & Destructor Documentation

## ◆ ElementGeometry() [1/2]

oms::ssd::ElementGeometry::ElementGeometry | ( |  | ) |

## ◆ ElementGeometry() [2/2]

oms::ssd::ElementGeometry::ElementGeometry | ( | const ElementGeometry & | rhs | ) |

## ◆ ~ElementGeometry()

oms::ssd::ElementGeometry::~ElementGeometry | ( |  | ) |

## Member Function Documentation

## ◆ exportToSSD()

oms_status_enu_t oms::ssd::ElementGeometry::exportToSSD | ( | pugi::xml_node & | root | ) | const

## ◆ getIconFixedAspectRatio()

bool oms::ssd::ElementGeometry::getIconFixedAspectRatio | ( |  | ) | const
| inline

## ◆ getIconFlip()

bool oms::ssd::ElementGeometry::getIconFlip | ( |  | ) | const
| inline

## ◆ getIconRotation()

double oms::ssd::ElementGeometry::getIconRotation | ( |  | ) | const
| inline

## ◆ getIconSource()

std::string oms::ssd::ElementGeometry::getIconSource | ( |  | ) | const
| inline

## ◆ getRotation()

double oms::ssd::ElementGeometry::getRotation | ( |  | ) | const
| inline

## ◆ getX1()

double oms::ssd::ElementGeometry::getX1 | ( |  | ) | const
| inline

## ◆ getX2()

double oms::ssd::ElementGeometry::getX2 | ( |  | ) | const
| inline

## ◆ getY1()

double oms::ssd::ElementGeometry::getY1 | ( |  | ) | const
| inline

## ◆ getY2()

double oms::ssd::ElementGeometry::getY2 | ( |  | ) | const
| inline

## ◆ hasIconSource()

bool oms::ssd::ElementGeometry::hasIconSource | ( |  | ) | const
| inline

## ◆ importFromSSD()

oms_status_enu_t oms::ssd::ElementGeometry::importFromSSD | ( | const pugi::xml_node & | node | ) |

Here is the caller graph for this function:

## ◆ operator=()

oms::ssd::ElementGeometry & oms::ssd::ElementGeometry::operator= | ( | ElementGeometry const & | rhs | ) |

## ◆ setIconFixedAspectRatio()

void oms::ssd::ElementGeometry::setIconFixedAspectRatio | ( | bool | iconFixedAspectRatio | ) |
| inline

## ◆ setIconFlip()

void oms::ssd::ElementGeometry::setIconFlip | ( | bool | iconFlip | ) |
| inline

## ◆ setIconRotation()

void oms::ssd::ElementGeometry::setIconRotation | ( | double | iconRotation | ) |
| inline

## ◆ setIconSource()

void oms::ssd::ElementGeometry::setIconSource | ( | std::string | iconSource | ) |

## ◆ setRotation()

void oms::ssd::ElementGeometry::setRotation | ( | double | rotation | ) |
| inline

## ◆ setSizePosition()

void oms::ssd::ElementGeometry::setSizePosition | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| inline

## ◆ setX1()

void oms::ssd::ElementGeometry::setX1 | ( | double | x1 | ) |
| inline

## ◆ setX2()

void oms::ssd::ElementGeometry::setX2 | ( | double | x2 | ) |
| inline

## ◆ setY1()

void oms::ssd::ElementGeometry::setY1 | ( | double | y1 | ) |
| inline

## ◆ setY2()

void oms::ssd::ElementGeometry::setY2 | ( | double | y2 | ) |
| inline

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ssd/ElementGeometry.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ssd/ElementGeometry.cpp